package org.robokind.avrogen.speechrec;

@SuppressWarnings("all")
public class SpeechRecEventListRecord extends org.apache.avro.specific.SpecificRecordBase implements org.apache.avro.specific.SpecificRecord {
  public static final org.apache.avro.Schema SCHEMA$ = org.apache.avro.Schema.parse("{\"type\":\"record\",\"name\":\"SpeechRecEventListRecord\",\"namespace\":\"org.robokind.avrogen.speechrec\",\"fields\":[{\"name\":\"speechRecServiceId\",\"type\":\"string\"},{\"name\":\"eventDestinationId\",\"type\":\"string\"},{\"name\":\"timestampMillisecUTC\",\"type\":\"long\"},{\"name\":\"speechRecEvents\",\"type\":{\"type\":\"array\",\"items\":{\"type\":\"record\",\"name\":\"SpeechRecEventRecord\",\"fields\":[{\"name\":\"recognizerId\",\"type\":\"string\"},{\"name\":\"timestampMillisecUTC\",\"type\":\"long\"},{\"name\":\"recognizedText\",\"type\":\"string\"},{\"name\":\"confidence\",\"type\":\"double\"}]}}}]}");
  public org.apache.avro.util.Utf8 speechRecServiceId;
  public org.apache.avro.util.Utf8 eventDestinationId;
  public long timestampMillisecUTC;
  public org.apache.avro.generic.GenericArray<org.robokind.avrogen.speechrec.SpeechRecEventRecord> speechRecEvents;
  public org.apache.avro.Schema getSchema() { return SCHEMA$; }
  public java.lang.Object get(int field$) {
    switch (field$) {
    case 0: return speechRecServiceId;
    case 1: return eventDestinationId;
    case 2: return timestampMillisecUTC;
    case 3: return speechRecEvents;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
  @SuppressWarnings(value="unchecked")
  public void put(int field$, java.lang.Object value$) {
    switch (field$) {
    case 0: speechRecServiceId = (org.apache.avro.util.Utf8)value$; break;
    case 1: eventDestinationId = (org.apache.avro.util.Utf8)value$; break;
    case 2: timestampMillisecUTC = (java.lang.Long)value$; break;
    case 3: speechRecEvents = (org.apache.avro.generic.GenericArray<org.robokind.avrogen.speechrec.SpeechRecEventRecord>)value$; break;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
}
